This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 844233 - RFE: Build and Unzip a Content Specification
RFE: Build and Unzip a Content Specification
Status: NEW
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: pressgang-ccms-dev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 00:52 EDT by Lee Newson
Modified: 2014-10-26 21:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Newson 2012-07-30 00:52:35 EDT
Currently there isn't a way to only build a content specification and then unzip it into a directory from the csprocessor directly. At the moment you would either have to run "csprocessor assemble" or "csprocessor build" and then an unzip command.
Comment 1 Lee Newson 2013-02-18 20:18:29 EST
Alternative:

Perhaps have build not create the zip at all and just create the directory structure with files and then have a "--zip" option (or similar) to produce a ZIP output instead.

This alternative is probably better as most users will want just the inner content and not care about sending the ZIP. However adding the "--zip" option will still allow you to create a build to send if required.
Comment 2 Joshua Wulf 2013-04-22 23:53:06 EDT
Does csprocessor assemble --no-build do this?
Comment 3 Lee Newson 2013-04-23 00:07:04 EDT
No, that will run publican as well, assuming the ZIP exists. If the ZIP doesn't exist than you'd just get an error.

FWIW, "--no-build" will not run "csprocessor build", so it's use case is when you have received the ZIP and then want to assemble/preview it yourself.

Note You need to log in before you can comment on or make changes to this bug.